<template>
  <v-list-item>
    <v-list-item-content>
      <v-row>
        <v-col>
          <v-list-item-title>
            {{ '**** **** **** ' + paymentMethod.cardNumber.slice(-4) }}
          </v-list-item-title>
          <v-list-item-subtitle>
            {{ paymentMethod.cardName }}
          </v-list-item-subtitle>
          <v-list-item-subtitle>
            {{
              (paymentMethod.cardExpiration.month / 100).toString().slice(-2) +
              '/' +
              paymentMethod.cardExpiration.year
            }}
          </v-list-item-subtitle>
        </v-col>
        <v-col v-if="deletable" cols="4" class="text-right">
          <v-btn @click="deletePaymentMethod(paymentMethod)">Delete</v-btn>
        </v-col>
      </v-row>
    </v-list-item-content>
  </v-list-item>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    paymentMethod: {
      type: Object,
      required: true,
    },
    deletable: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
  methods: {
    // deletePaymentMethod(paymentMethod: object) {
    // TODO: AXIOS delete
    // },
  },
})
</script>
